<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:composite="http://java.sun.com/jsf/composite"
      xmlns:p="http://primefaces.org/ui"
      xmlns="http://www.w3.org/1999/xhtml">


<composite:interface>
    <composite:attribute name="uiBean" required="true"/>
</composite:interface>
<composite:implementation>
    <f:loadBundle
            basename="org.inra.ecoinfo.acbb.identification.message"
            var="requestACBBRightsManagementPanel"/>
    <p:panelGrid columns="2"
                 rendered="#{uiBean.hasSelection}">
        <h:outputLabel value="Créé le :" for="createDate"/>
        <h:outputText id="createDate" value="#{uiBean.currentRequest.createDate}" title="createDate">
            <f:converter converterId="localDateTimeConverterDD_MM_YYYY_AT_HH_MM"/>
        </h:outputText>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_NAME}" for="nom"/>
        <h:outputText id="name" value="#{uiBean.currentRequest.rightRequest.nom}" title="name"/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_SURNAME}" for="surname"/>
        <h:outputText id="surname" value="#{uiBean.currentRequest.rightRequest.prenom}" title="surname"/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_EMAIL}" for="email"/>
        <h:outputText id="email" value="#{uiBean.currentRequest.rightRequest.email}" title="email"/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_FUNCTION}" for="fonction"/>
        <h:outputText id="fonction" value="#{uiBean.currentRequest.rightRequest.fonction}" title="fonction"/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_INSTITUTION}" for="institution"/>
        <h:outputText id="institution" value="#{uiBean.currentRequest.rightRequest.institution}" title="institution"/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_ADRESS}" for="adress"/>
        <h:outputText id="adress" value="#{uiBean.currentRequest.rightRequest.workAdress}" title="adress"/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_PHONE}" for="phone"/>
        <h:outputText id="phone" value="#{uiBean.currentRequest.rightRequest.phone}" title="phone"/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_RELATION}" for="relation"/>
        <h:outputText id="relation" value="#{uiBean.currentRequest.rightRequest.relation}" title="relation"/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_TITLE}" for="title"/>
        <h:outputText id="title" value="#{uiBean.currentRequest.rightRequest.title}" title="title"/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_OBJECTIVES}" for="objectives"/>
        <h:outputText id="objectives" value="#{uiBean.currentRequest.rightRequest.objectives}" title="objectives"/>
        <h:outputText value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_REQUIRED_DATA_INTRO}"/>
        <h:outputText/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_SITES}" for="sites"/>
        <h:outputText id="sites" value="#{uiBean.currentRequest.rightRequest.sitesNames}" title="sites"/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_TREATMENT}" for="treatment"/>
        <h:outputText id="treatment" value="#{uiBean.currentRequest.rightRequest.treatment}" title="treatment"/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_REQUIRED_DATA}" for="requiredData"/>
        <h:outputText id="requiredData" value="#{uiBean.currentRequest.rightRequest.requiredData}"
                      title="requiredData"/>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_START_DATE}" for="startDate"/>
        <h:outputText id="startDate" value="#{uiBean.currentRequest.rightRequest.startDate}" title="startDate">
            <f:converter converterId="localDateTimeConverterDD_MM_YYYY"/>
        </h:outputText>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_END_DATE}" for="endDate"/>
        <h:outputText id="endDate" value="#{uiBean.currentRequest.rightRequest.endDate}" title="endDate">
            <f:converter converterId="localDateTimeConverterDD_MM_YYYY"/>
        </h:outputText>
        <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_ADDITIONNALS_INFORMATIONS}"
                       for="additionalsInformations"/>
        <h:outputText id="additionalsInformations"
                      value="#{uiBean.currentRequest.rightRequest.additionalsInformations}"/>
    </p:panelGrid>

</composite:implementation>

</html>